import { AlgorithmFactory } from './algorithm-factory.abstract';
import { Processor } from '../processor.abstract';
import { ClassicWaypointsCompleter } from '../processor/completer/classic-waypoint.completer.processor';

export class ClassicAlgorithmFactory extends AlgorithmFactory {
  createProcessors(): Array<Processor> {
    return [new ClassicWaypointsCompleter(this._matchQuery)];
  }
}
